Subject: Re: [ietf-types] request for review: text/mizar

From: Jesse Alama <[email-masked]>
Date: Fri, 01 Jul 2011 17:12:48 +0200

Paul Libbrecht wrote:

> If you say ASCII then I would suggest to keep ascii.

That is, you recommend that I specify a 7-bit encoding for the proposed
media type?

> Is the CRLF requirement also a requirement?

I'm not sure I understand what you're asking.

> The reason I asked about charset is that the media-type parameter
> charset is the cause of numerous communication around here,
> especially in the xml world, i'd just like to avoid any error here if
> possible.

Ah, OK. I think this kind of encoding question doesn't apply to mizar texts.

>>> - can the specification be indicated with a publicly accessible
>>> URL?
>> One candidate might be
>>
>> http://www.mizar.org/language/ which gives some information about
>> the language. Adam, do you have a better suggestion here?
>
> Such things as ASCII is not there.... this specifies the vocabulary
> not really the file format.

True, it doesn't specify the file format. Broadly, any ASCII document
is, potentially, a mizar text. Of course, only those texts that adhere
to the rules of the mizar language are acceptable to the mizar suite of
tools. But in principle they can operate on any ASCII text. Does that 
clarify things?

Jesse

-- Jesse Alama
http://centria.di.fct.unl.pt/~alama/